# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_cipher`](#dsc_cipher): The DSC Cipher resource type. Automatically generated from version 1.4.0
* [`dsc_ciphersuites`](#dsc_ciphersuites): The DSC CipherSuites resource type. Automatically generated from version 1.4.0
* [`dsc_hash`](#dsc_hash): The DSC Hash resource type. Automatically generated from version 1.4.0
* [`dsc_keyexchangealgorithm`](#dsc_keyexchangealgorithm): The DSC KeyExchangeAlgorithm resource type. Automatically generated from version 1.4.0
* [`dsc_protocol`](#dsc_protocol): The DSC Protocol resource type. Automatically generated from version 1.4.0
* [`dsc_schannelsettings`](#dsc_schannelsettings): The DSC SChannelSettings resource type. Automatically generated from version 1.4.0

## Resource types

### <a name="dsc_cipher"></a>`dsc_cipher`

The DSC Cipher resource type.
Automatically generated from version 1.4.0

#### Properties

The following properties are available in the `dsc_cipher` type.

##### `dsc_rebootwhenrequired`

Data type: `Optional[Boolean]`

Specifies if a reboot will be performed when required (Default: False)

##### `dsc_state`

Data type: `Optional[Enum['Enabled', 'Disabled', 'Default']]`

Specifies the state of the Cipher

#### Parameters

The following parameters are available in the `dsc_cipher` type.

* [`dsc_cipher`](#dsc_cipher)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_cipher"></a>`dsc_cipher`

namevar

Data type: `Enum['AES 128/128', 'AES 256/256', 'DES 56/56', 'NULL', 'RC2 128/128', 'RC2 40/128', 'RC2 56/128', 'RC4 128/128', 'RC4 40/128', 'RC4 56/128', 'RC4 64/128', 'Triple DES 168']`

Specifies the Cipher to configure

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_ciphersuites"></a>`dsc_ciphersuites`

The DSC CipherSuites resource type.
Automatically generated from version 1.4.0

#### Properties

The following properties are available in the `dsc_ciphersuites` type.

##### `dsc_ciphersuitesorder`

Data type: `Optional[Array[String]]`

Specifies which Cipher Suites should be configured on the server

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies if the specified Cipher Suites should be present or not

##### `dsc_rebootwhenrequired`

Data type: `Optional[Boolean]`

Specifies if a reboot will be performed when required (Default: False)

#### Parameters

The following parameters are available in the `dsc_ciphersuites` type.

* [`dsc_issingleinstance`](#dsc_issingleinstance)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_issingleinstance"></a>`dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Required parameter to enforce the resource is only added once

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_hash"></a>`dsc_hash`

The DSC Hash resource type.
Automatically generated from version 1.4.0

#### Properties

The following properties are available in the `dsc_hash` type.

##### `dsc_rebootwhenrequired`

Data type: `Optional[Boolean]`

Specifies if a reboot will be performed when required (Default: False)

##### `dsc_state`

Data type: `Optional[Enum['Enabled', 'Disabled', 'Default']]`

Specifies the state of the specified Hash

#### Parameters

The following parameters are available in the `dsc_hash` type.

* [`dsc_hash`](#dsc_hash)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_hash"></a>`dsc_hash`

namevar

Data type: `Enum['MD5', 'SHA', 'SHA256', 'SHA384', 'SHA512']`

Specifies the Hash to configure

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_keyexchangealgorithm"></a>`dsc_keyexchangealgorithm`

The DSC KeyExchangeAlgorithm resource type.
Automatically generated from version 1.4.0

#### Properties

The following properties are available in the `dsc_keyexchangealgorithm` type.

##### `dsc_rebootwhenrequired`

Data type: `Optional[Boolean]`

Specifies if a reboot will be performed when required (Default: False)

##### `dsc_state`

Data type: `Optional[Enum['Enabled', 'Disabled', 'Default']]`

Specifies the state of the specified Key Exchange Algorithm

#### Parameters

The following parameters are available in the `dsc_keyexchangealgorithm` type.

* [`dsc_keyexchangealgorithm`](#dsc_keyexchangealgorithm)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_keyexchangealgorithm"></a>`dsc_keyexchangealgorithm`

namevar

Data type: `Enum['Diffie-Hellman', 'ECDH', 'PKCS']`

Specifies the Key Exchange Algorithm to configure

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_protocol"></a>`dsc_protocol`

The DSC Protocol resource type.
Automatically generated from version 1.4.0

#### Properties

The following properties are available in the `dsc_protocol` type.

##### `dsc_includeclientside`

Data type: `Optional[Boolean]`

Specifies to also include Client Side protocols (Default: False)

##### `dsc_rebootwhenrequired`

Data type: `Optional[Boolean]`

Specifies if a reboot will be performed when required (Default: False)

##### `dsc_state`

Data type: `Optional[Enum['Enabled', 'Disabled', 'Default']]`

Specifies the state of the specified Protocol

#### Parameters

The following parameters are available in the `dsc_protocol` type.

* [`dsc_protocol`](#dsc_protocol)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_protocol"></a>`dsc_protocol`

namevar

Data type: `Enum['Multi-Protocol Unified Hello', 'PCT 1.0', 'SSL 2.0', 'SSL 3.0', 'TLS 1.0', 'TLS 1.1', 'TLS 1.2', 'TLS 1.3']`

Specifies the Protocol to configure

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_schannelsettings"></a>`dsc_schannelsettings`

The DSC SChannelSettings resource type.
Automatically generated from version 1.4.0

#### Properties

The following properties are available in the `dsc_schannelsettings` type.

##### `dsc_diffiehellmanminclientkeysize`

Data type: `Optional[Enum['1024', '2048', '3072', '4096']]`

Minimum client key size for the Diffie-Hellman key exchange algorithm

##### `dsc_diffiehellmanminserverkeysize`

Data type: `Optional[Enum['1024', '2048', '3072', '4096']]`

Minimum server key size for the Diffie-Hellman key exchange algorithm

##### `dsc_enablefipsalgorithmpolicy`

Data type: `Optional[Boolean]`

Specifies if the FIPS Algorithm Policy is enabled

##### `dsc_kerberossupportedencryptiontype`

Data type: `Optional[Array[Enum['DES-CBC-CRC', 'DES-CBC-MD5', 'RC4-HMAC-MD5', 'AES128-HMAC-SHA1', 'AES256-HMAC-SHA1']]]`

Specifies the supported Kerberos Encryption Types

##### `dsc_rebootwhenrequired`

Data type: `Optional[Boolean]`

Specifies if a reboot will be performed when required (Default: False)

##### `dsc_tls12state`

Data type: `Optional[Enum['Enabled', 'Disabled', 'Default']]`

Specifies the state of TLS 1.2 for the .Net Framework 3.5 and 4.*

##### `dsc_winhttpdefaultsecureprotocols`

Data type: `Optional[Array[Enum['SSL2.0', 'SSL3.0', 'TLS1.0', 'TLS1.1', 'TLS1.2']]]`

Specifies the WinHTTP Default Secure Protocols

#### Parameters

The following parameters are available in the `dsc_schannelsettings` type.

* [`dsc_issingleinstance`](#dsc_issingleinstance)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_issingleinstance"></a>`dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

